<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <s:decorate template="/pdq/pdcConfigTemplate.xhtml">
            <ui:param name="managedBean" value="#{xcpdInitGateway}"/>
            <ui:param name="title"
                      value="#{messages['net.ihe.gazelle.patientmanager.XCPDInitiatingGateway']}"/>
            <ui:define name="sutSelection">
                <s:div styleClass="row" id="configSelectionGrid2">
                    <div class="col-md-4">
                        <ui:decorate template="/layout/panels/_panel_title.xhtml">
                            <ui:define name="panel_title">#{messages['gazelle.HL7Common.Simulator']}</ui:define>
                            <dl>
                                <s:decorate id="manualNameDecoration"
                                            template="/layout/display/_data_list_item.xhtml">
                                    <ui:define name="label">#{messages['gazelle.simulator.pam.Name']}</ui:define>
                                    <h:outputText
                                            value="#{messages['gazelle.simulator.pam.SimulatorConfiguration']}"/>
                                </s:decorate>
                                <s:decorate id="manualRecAppDecoration"
                                            template="/layout/display/_data_list_item.xhtml">
                                    <ui:define name="label">#{messages['net.ihe.gazelle.pam.SenderDeviceIdrootOID']}
                                    </ui:define>
                                    <h:outputText value="#{xcpdInitGateway.senderDeviceId}"/>
                                </s:decorate>
                                <s:decorate id="manualRecFacDecoration"
                                            template="/layout/display/_data_list_item.xhtml">
                                    <ui:define name="label">
                                        #{messages['net.ihe.gazelle.PatientManager.OrganizationOID']}
                                    </ui:define>
                                    <h:outputText value="#{xcpdInitGateway.organizationOid}"/>
                                </s:decorate>
                                <s:decorate id="manualHomeDecoration"
                                            template="/layout/display/_data_list_item.xhtml">
                                    <ui:define name="label">#{messages['net.ihe.gazelle.patientmanager.HomeCommunityID']}</ui:define>
                                    <h:outputText value="#{xcpdInitGateway.homeCommunityId}"/>
                                </s:decorate>
                            </dl>
                        </ui:decorate>
                    </div>
                    <div class="col-md-4">
                        <h:graphicImage library="img" name="diag/XCPD_INIT.png"
                                        rendered="#{xcpdInitGateway.selectedSUT != null}"/>
                    </div>
                    <div class="col-md-4">
                        <s:decorate template="/layout/panels/_panel_title.xhtml">
                            <ui:define name="panel_title">
                                #{messages['net.ihe.gazelle.PatientManager.SystemUnderTestSUT']})
                            </ui:define>
                            <s:decorate id="manualNameDecoration2"
                                        template="/layout/display/_data_list_item.xhtml">
                                <ui:define name="label">#{messages['gazelle.simulator.pam.Name']}</ui:define>
                                <h:outputText value="#{xcpdInitGateway.selectedSUT.name}"/>
                            </s:decorate>
                            <s:decorate id="manualIPDecoration2"
                                        template="/layout/display/_data_list_item.xhtml">
                                <ui:define name="label">#{messages['gazelle.simulator.URL']}</ui:define>
                                <h:outputText id="url" value="#{xcpdInitGateway.selectedSUT.url}"/>
                            </s:decorate>
                            <s:decorate id="manualPortDecoration2"
                                        template="/layout/display/_data_list_item.xhtml">
                                <ui:define name="label">#{messages['net.ihe.gazelle.pam.ReceiverDeviceIdrootOID']}
                                </ui:define>
                                <h:outputText value="#{xcpdInitGateway.selectedSUT.deviceOID}"/>
                            </s:decorate>
                            <s:decorate id="manualRecAppDecoration2"
                                        template="/layout/display/_data_list_item.xhtml">
                                <ui:define name="label">#{messages['net.ihe.gazelle.PatientManager.OrganizationOID']}
                                </ui:define>
                                <h:outputText value="#{xcpdInitGateway.selectedSUT.organizationOID}"/>
                            </s:decorate>
                        </s:decorate>
                    </div>
                </s:div>
                <!-- system under test selection/display-->
                <div class="form-horizontal">
                    <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                        <ui:define name="label">#{messages['gazelle.simulator.pam.SystemUnderTest']}</ui:define>
                        <ui:param name="id" value="sutSelection"/>
                        <h:selectOneMenu value="#{xcpdInitGateway.selectedSUT}" styleClass="form-control gzl-select-text"
                                         id="sutSelection">
                            <s:selectItems value="#{xcpdInitGateway.availableSystems}" var="conf"
                                           noSelectionLabel="#{messages['gazelle.simulator.PleaseSelect']}"
                                           label="#{conf.name}"/>
                            <a4j:ajax event="change" for="sutSelection" render="configSelectionGrid2"/>
                        </h:selectOneMenu>
                        <h:outputText value="#{xcpdInitGateway.selectedSUT.name}"
                                      rendered="#{not xcpdInitGateway.displayCriteriaForm}"/>
                    </s:decorate>
                </div>
            </ui:define>
            <ui:define name="transactionSelection">
                <s:div id="optionsSection" styleClass="gzl-alert gzl-alert-blue">
                    <s:decorate template="/layout/form/_checkbox.xhtml">
                        <h:selectBooleanCheckbox value="#{xcpdInitGateway.deferredMode}"/>
                        #{messages['net.ihe.gazelle.patientmanager.DeferredResponseMode']}
                    </s:decorate>
                    <s:div id="xuaSection" rendered="#{xcpdInitGateway.xuaFeatureEnabled}">
                        <s:decorate template="/layout/form/_checkbox.xhtml">
                            <h:selectBooleanCheckbox value="#{xcpdInitGateway.useXua}">
                                <a4j:ajax event="change" render="xuaSection"/>
                            </h:selectBooleanCheckbox>
                            #{messages['net.ihe.gazelle.patientmanager.UseXUA']}
                        </s:decorate>
                        <s:decorate template="/layout/form/_edit.xhtml" rendered="#{xcpdInitGateway.useXua}"
                                    id="credDecorate">
                            <ui:define name="label">#{messages['net.ihe.gazelle.patientmanager.AssertionToUse']}</ui:define>
                            <ui:param name="id" value="xuaCred"/>
                            <h:selectOneMenu value="#{xcpdInitGateway.selectedCredentials}"
                                             styleClass="form-control gzl-select-text"
                                             rendered="#{xcpdInitGateway.displayCriteriaForm}"
                                             id="xuaCred" required="#{xcpdInitGateway.useXua}"
                                             requiredMessage="You must select an assertion">
                                <s:selectItems value="#{xcpdInitGateway.getAvailableSTSCredentials()}" var="conf"
                                               noSelectionLabel="#{messages['gazelle.simulator.PleaseSelect']}"
                                               label="#{conf.label}"/>
                                <a4j:ajax event="change" render="xuaSection"/>
                            </h:selectOneMenu>
                            <h:outputText value="#{xcpdInitGateway.selectedCredentials.label}"
                                          rendered="#{not xcpdInitGateway.displayCriteriaForm}"/>
                        </s:decorate>
                        <h:outputText value="#{xcpdInitGateway.selectedCredentials.description}"
                                      rendered="#{xcpdInitGateway.selectedCredentials != null}"
                                      styleClass="help-block"/>
                    </s:div>
                </s:div>
            </ui:define>
            <ui:define name="editQueryParameters">
                <s:decorate template="/pdq/editPDQParameters.xhtml">
                    <ui:param name="managedBean" value="#{xcpdInitGateway}"/>
                    <ui:param name="displayOptions" value="false"/>
                    <ui:define name="additionalParameters">
                        <f:subview
                                rendered="#{not xcpdInitGateway.isEPDDomain()}">
                            <h2>#{messages['net.ihe.gazelle.patientmanager.PrincipalCareProvider']}</h2>
                            <div class="row">
                                <div class="col-md-4">
                                    <ui:decorate template="/layout/form/_edit.xhtml">
                                        <ui:define name="label">#{messages['gazelle.simulator.pam.ID']}</ui:define>
                                        <ui:param name="id" value="pcpExt"/>
                                        <h:inputText value="#{xcpdInitGateway.principalCareProviderExtension}"
                                                     id="pcpExt" styleClass="form-control"/>
                                    </ui:decorate>
                                </div>
                                <div class="col-md-4">
                                    <ui:decorate template="/layout/form/_edit.xhtml">
                                        <ui:define name="label">#{messages['gazelle.pam.AssigningAutoritysOID']}</ui:define>
                                        <ui:param name="id" value="pcpRoot"/>
                                        <h:inputText value="#{xcpdInitGateway.principalCareProviderRoot}"
                                                     id="pcpRoot" styleClass="form-control"/>
                                    </ui:decorate>
                                </div>
                            </div>
                        </f:subview>
                    </ui:define>
                </s:decorate>
            </ui:define>
            <ui:define name="displayQueryParameters">
                <s:decorate template="/pdq/displayPDQParameters.xhtml">
                    <ui:param name="managedBean" value="#{xcpdInitGateway}"/>
                    <ui:param name="displayOptions" value="false"/>
                    <ui:define name="additionalParameters">
                        <s:decorate template="/layout/display/_data_list_item.xhtml"
                                    rendered="#{xcpdInitGateway.principalCareProviderExtension != null or xcpdInitGateway.principalCareProviderRoot != null}">
                            <ui:define name="label">#{messages['net.ihe.gazelle.patientmanager.PrincipalCareProvider']}</ui:define>
                            <div class="row">
                                <h:outputText value="#{messages['net.ihe.gazelle.patientmanager.Identifier']} " style="font-weight:bold;"/>
                                <h:outputText
                                        value="#{xcpdInitGateway.principalCareProviderExtension}"/>
                                <h:outputText value="#{messages['net.ihe.gazelle.patientmanager.AssigningAuthorityOID']} " style="font-weight:bold;"/>
                                <h:outputText
                                        value="#{xcpdInitGateway.principalCareProviderRoot}"/>
                            </div>
                        </s:decorate>
                    </ui:define>
                </s:decorate>
            </ui:define>
            <ui:define name="patientDetails">
                <ui:include src="/pdq/patientDetails.xhtml">
                    <ui:param name="managedBean" value="#{xcpdInitGateway}"/>
                </ui:include>
            </ui:define>
            <ui:define name="testReport">
                <ui:include src="/messages/message_table.xhtml">
                    <ui:param name="hl7Messages" value="#{xcpdInitGateway.messages}"/>
                </ui:include>
            </ui:define>
        </s:decorate>
    </ui:define>
</ui:composition>
